import * as THREE from 'three';
export declare class CCDIKSolver {
    private iks;
    constructor(iks?: CCDIKConfig[]);
    update(): this;
    private validate;
}
export interface CCDIKConfig {
    target: THREE.Object3D;
    effector: THREE.Object3D;
    links: Array<{
        bone: THREE.Object3D;
        limitation?: THREE.Vector3;
        rotationMin?: THREE.Vector3;
        rotationMax?: THREE.Vector3;
        enabled?: boolean;
    }>;
    iteration?: number;
    minAngle?: number;
    maxAngle?: number;
}
